Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-proto-iana-registration-01.txt

From: Flemming Andreasen <[email-masked]>
Date: Fri, 4 Sep 2015 07:36:53 -0400

Hi Suhas

I took a look at the draft which generally looks good to me. A couple of 
comments for consideration:

- Section 3, last paragraph says "An 'm' line that specifies these new 
proto identifiers MUST further qualify the application-layer protocol 
using an fmt identifier."
I don't think this is accurate. We are doing RTP and hence what will go 
in the fmt parameter simply follows the normal SDP/RTP procedures, i.e. 
they define the media format in question.

- Section 4
I suggest we make the statement normative, i.e. s/is used/MUST be used/

- Section 5
a) The document requests registration of new RTP Profile names (as 
defined in the document). I'd like to hear from the AVTCORE chairs on that.

b) The document also requests registration of other RTP profile names 
from RFC 5764 that have only been added to the RTP Profile Name registry.
- Again, I'd like to hear from the AVTCORE chairs on this
- There is no indication on the front page that the document updates RFC 
5764 (which technically, I believe it does if we add these registrations).

Thanks

-- Flemming

On 7/2/15 2:24 PM, Suhas Nandakumar wrote:
> Hello All
>
>    This is an updated version with Jonathan's comments incorporated. 
> Please let me know your thoughts.
>
> Cheers
> Suhas
>
> On Thu, Jul 2, 2015 at 11:22 AM, <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     A New Internet-Draft is available from the on-line Internet-Drafts
>     directories.
>      This draft is a work item of the Multiparty Multimedia Session
>     Control Working Group of the IETF.
>
>             Title           : IANA registrations of SDP 'proto'
>     attribute for transporting RTP Media over TCP under various RTP
>     profiles.
>             Author          : Suhas Nandakumar
>             Filename        :
>     draft-ietf-mmusic-proto-iana-registration-01.txt
>             Pages           : 7
>             Date            : 2015-07-02
>
>     Abstract:
>        RTP provides end-to-end network transport functions suitable for
>        applications transmitting real-time data such as audio, video or
>        simulation data, over multicast or unicast network services.  The
>        data transport is augmented by a control protocol (RTCP) to allow
>        monitoring of the data delivery in a manner scalable to large
>        multicast networks, and to provide minimal control and
>     identification
>        functionality.
>
>        The RTP specification [RFC3550] establishes a registry of profile
>        names for use by higher-level control protocols, such as the
>     SDP, to
>        refer to the transport methods.  This specification describes the
>        following new SDP transport protocol identifiers for
>     transporting RTP
>        Media over TCP: 'TCP/RTP/AVPF', 'TCP/RTP/SAVP', 'TCP/RTP/SAVPF',
>        'TCP/DTLS/RTP/SAVP', 'TCP/DTLS/RTP/SAVPF', 'TCP/TLS/RTP/AVP',
>        'TCP/TLS/RTP/AVPF'.
>
>
>     The IETF datatracker status page for this draft is:
>     https://datatracker.ietf.org/doc/draft-ietf-mmusic-proto-iana-registration/
>
>     There's also a htmlized version available at:
>     https://tools.ietf.org/html/draft-ietf-mmusic-proto-iana-registration-01
>
>     A diff from the previous version is available at:
>     https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-proto-iana-registration-01
>
>
>     Please note that it may take a couple of minutes from the time of
>     submission
>     until the htmlized version and diff are available at
>     tools.ietf.org <http://tools.ietf.org>.
>
>     Internet-Drafts are also available by anonymous FTP at:
>     ftp://ftp.ietf.org/internet-drafts/
>
>     _______________________________________________
>     mmusic mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/mmusic
>
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Suhas Nandakumar <[email-masked]>
Date: Sun, 6 Sep 2015 16:23:00 -0700

Hello Flemming

  Thanks for the review. Please see inline

Cheers
Suhas

On Fri, Sep 4, 2015 at 4:36 AM, Flemming Andreasen <[email-masked]>
wrote:

> proto identifiers MUST further qualify the application-layer protocol using
> an fmt identifier."
> I don't think this is accurate. We are doing RTP and hence what will go in
> the fmt parameter simply follows the normal SDP/RTP procedures, i.e. they
> define the media format in question.
>

[suhas] : agreed.  So is the suggestion to get rid of that line altogether ?

> [suhas] - will update

>
> - Section 5
> a) The document requests registration of new RTP Profile names (as defined
> in the document). I'd like to hear from the AVTCORE chairs on that.
>
> b) The document also requests registration of other RTP profile names from
> RFC 5764 that have only been added to the RTP Profile Name registry.
> [Suhas] Sure, I will wait for AVTCore chairs to respond before updating.

> On Thu, Jul 2, 2015 at 11:22 AM, <[email-masked]> wrote:
>
>>
>>  This draft is a work item of the Multiparty Multimedia Session Control
>> Working Group of the IETF.
>>
>>         Title           : IANA registrations of SDP 'proto' attribute for
>> transporting RTP Media over TCP under various RTP profiles.
>>         Filename        : draft-ietf-mmusic-proto-iana-registration-01.txt
>>         Pages           : 7
>>         Date            : 2015-07-02
>>
>> Abstract:
>>    multicast networks, and to provide minimal control and identification
>>    functionality.
>>
>>    names for use by higher-level control protocols, such as the SDP, to
>>    following new SDP transport protocol identifiers for transporting RTP
>> until the htmlized version and diff are available at tools.ietf.org.
>>
> mmusic mailing [email-masked]://www.ietf.org/mailman/listinfo/mmusic
>
>
>

---

From: Flemming Andreasen <[email-masked]>
Date: Tue, 8 Sep 2015 12:43:21 -0400

On 9/6/15 7:23 PM, Suhas Nandakumar wrote:
> On Fri, Sep 4, 2015 at 4:36 AM, Flemming Andreasen <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi Suhas
>
>     I took a look at the draft which generally looks good to me. A
>     couple of comments for consideration:
>
>     - Section 3, last paragraph says "An 'm' line that specifies these
>     new proto identifiers MUST further qualify the application-layer
>     protocol using an fmt identifier."
>     I don't think this is accurate. We are doing RTP and hence what
>     will go in the fmt parameter simply follows the normal SDP/RTP
>     procedures, i.e. they define the media format in question.
>
>
Yes.
>     b) The document also requests registration of other RTP profile
>     names from RFC 5764 that have only been added to the RTP Profile
>     Name registry.
>     - There is no indication on the front page that the document
>     updates RFC 5764 (which technically, I believe it does if we add
>     these registrations).
>
Sounds good.

Thanks

-- Flemming

>>        This is an updated version with Jonathan's comments
>>     incorporated. Please let me know your thoughts.
>>
>>     Cheers
>>     Suhas
>>
>>         A New Internet-Draft is available from the on-line
>>         Internet-Drafts directories.
>>          This draft is a work item of the Multiparty Multimedia
>>         Session Control Working Group of the IETF.
>>
>>         attribute for transporting RTP Media over TCP under various
>>         RTP profiles.
>>         Please note that it may take a couple of minutes from the
>>         time of submission

---

From: Suhas Nandakumar <[email-masked]>
Date: Tue, 22 Sep 2015 14:26:53 -0700

Hello Avt Chairs

  Could you please help answer Flemming's feedback on this draft.

Thanks
Suhas

On Tue, Sep 8, 2015 at 9:43 AM, Flemming Andreasen <[email-masked]>
wrote:

> On Fri, Sep 4, 2015 at 4:36 AM, Flemming Andreasen < <[email-masked]>
> [email-masked]> wrote:
>
>> Hi Suhas
>>
>> On Thu, Jul 2, 2015 at 11:22 AM, < <[email-masked]>
>> [email-masked]> wrote:
>>
>>>
>>>         Title           : IANA registrations of SDP 'proto' attribute
>>> for transporting RTP Media over TCP under various RTP profiles.